Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.font.ttf
Class MaxpTable

    java.lang.Object
      com.sun.pdfview.font.ttf.TrueTypeTable
          com.sun.pdfview.font.ttf.MaxpTable

    public class MaxpTable

extends TrueTypeTable

Field Summary

Fields inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`CMAP_TABLE, GLYF_TABLE, HEAD_TABLE, HHEA_TABLE, HMTX_TABLE, LOCA_TABLE, MAXP_TABLE, NAME_TABLE, POST_TABLE`

Constructor Summary
`protected` | `MaxpTable()` Creates a new instance of MaxpTable

Method Summary
`java.nio.ByteBuffer` | `getData()` Get a buffer from the data
`int` | `getLength()` Get the length of this table
`int` | `getMaxComponentContours()` Getter for property maxComponentContours.
`int` | `getMaxComponentDepth()` Getter for property maxComponentDepth.
`int` | `getMaxComponentElements()` Getter for property maxComponentElements.
`int` | `getMaxComponentPoints()` Getter for property maxComponentPoints.
`int` | `getMaxContours()` Getter for property maxContours.
`int` | `getMaxFunctionDefs()` Getter for property maxFunctionDefs.
`int` | `getMaxInstructionDefs()` Getter for property maxInstructionDefs.
`int` | `getMaxPoints()` Getter for property maxPoints.
`int` | `getMaxSizeOfInstructions()` Getter for property maxSizeOfInstructions.
`int` | `getMaxStackElements()` Getter for property maxStackElements.
`int` | `getMaxStorage()` Getter for property maxStorage.
`int` | `getMaxTwilightPoints()` Getter for property maxTwilightPoints.
`int` | `getMaxZones()` Getter for property maxZones.
`int` | `getNumGlyphs()` Getter for property numGlyphs.
`int` | `getVersion()` Getter for property version.
`void` | `setData(java.nio.ByteBuffer data)` Set the values from data
`void` | `setMaxComponentContours(int maxComponentContours)` Setter for property maxComponentContours.
`void` | `setMaxComponentDepth(int maxComponentDepth)` Setter for property maxComponentDepth.
`void` | `setMaxComponentElements(int maxComponentElements)` Setter for property maxComponentElements.
`void` | `setMaxComponentPoints(int maxComponentPoints)` Setter for property maxComponentPoints.
`void` | `setMaxContours(int maxContours)` Setter for property maxContours.
`void` | `setMaxFunctionDefs(int maxFunctionDefs)` Setter for property maxFunctionDefs.
`void` | `setMaxInstructionDefs(int maxInstructionDefs)` Setter for property maxInstructionDefs.
`void` | `setMaxPoints(int maxPoints)` Setter for property maxPoints.
`void` | `setMaxSizeOfInstructions(int maxSizeOfInstructions)` Setter for property maxSizeOfInstructions.
`void` | `setMaxStackElements(int maxStackElements)` Setter for property maxStackElements.
`void` | `setMaxStorage(int maxStorage)` Setter for property maxStorage.
`void` | `setMaxTwilightPoints(int maxTwilightPoints)` Setter for property maxTwilightPoints.
`void` | `setMaxZones(int maxZones)` Setter for property maxZones.
`void` | `setNumGlyphs(int numGlyphs)` Setter for property numGlyphs.
`void` | `setVersion(int version)` Setter for property version.
`java.lang.String` | `toString()` Create a pretty String

Methods inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`createTable, createTable, getTag, stringToTag, tagToString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MaxpTable

    protected MaxpTable()

  Creates a new instance of MaxpTable

Method Detail

### setData

    public void setData(java.nio.ByteBuffer data)

  Set the values from data

  Overrides:
    `setData` in class `TrueTypeTable`

### getData

    public java.nio.ByteBuffer getData()

  Get a buffer from the data

  Overrides:
    `getData` in class `TrueTypeTable`

### getLength

    public int getLength()

  Get the length of this table

  Overrides:
    `getLength` in class `TrueTypeTable`

### getVersion

    public int getVersion()

  Getter for property version.

  Returns:
    Value of property version.

### setVersion

    public void setVersion(int version)

  Setter for property version.

  Parameters:
    `version` - New value of property version.

### getNumGlyphs

    public int getNumGlyphs()

  Getter for property numGlyphs.

  Returns:
    Value of property numGlyphs.

### setNumGlyphs

    public void setNumGlyphs(int numGlyphs)

  Setter for property numGlyphs.

  Parameters:
    `numGlyphs` - New value of property numGlyphs.

### getMaxPoints

    public int getMaxPoints()

  Getter for property maxPoints.

  Returns:
    Value of property maxPoints.

### setMaxPoints

    public void setMaxPoints(int maxPoints)

  Setter for property maxPoints.

  Parameters:
    `maxPoints` - New value of property maxPoints.

### getMaxContours

    public int getMaxContours()

  Getter for property maxContours.

  Returns:
    Value of property maxContours.

### setMaxContours

    public void setMaxContours(int maxContours)

  Setter for property maxContours.

  Parameters:
    `maxContours` - New value of property maxContours.

### getMaxComponentPoints

    public int getMaxComponentPoints()

  Getter for property maxComponentPoints.

  Returns:
    Value of property maxComponentPoints.

### setMaxComponentPoints

    public void setMaxComponentPoints(int maxComponentPoints)

  Setter for property maxComponentPoints.

  Parameters:
    `maxComponentPoints` - New value of property maxComponentPoints.

### getMaxComponentContours

    public int getMaxComponentContours()

  Getter for property maxComponentContours.

  Returns:
    Value of property maxComponentContours.

### setMaxComponentContours

    public void setMaxComponentContours(int maxComponentContours)

  Setter for property maxComponentContours.

  Parameters:
    `maxComponentContours` - New value of property maxComponentContours.

### getMaxZones

    public int getMaxZones()

  Getter for property maxZones.

  Returns:
    Value of property maxZones.

### setMaxZones

    public void setMaxZones(int maxZones)

  Setter for property maxZones.

  Parameters:
    `maxZones` - New value of property maxZones.

### getMaxTwilightPoints

    public int getMaxTwilightPoints()

  Getter for property maxTwilightPoints.

  Returns:
    Value of property maxTwilightPoints.

### setMaxTwilightPoints

    public void setMaxTwilightPoints(int maxTwilightPoints)

  Setter for property maxTwilightPoints.

  Parameters:
    `maxTwilightPoints` - New value of property maxTwilightPoints.

### getMaxStorage

    public int getMaxStorage()

  Getter for property maxStorage.

  Returns:
    Value of property maxStorage.

### setMaxStorage

    public void setMaxStorage(int maxStorage)

  Setter for property maxStorage.

  Parameters:
    `maxStorage` - New value of property maxStorage.

### getMaxFunctionDefs

    public int getMaxFunctionDefs()

  Getter for property maxFunctionDefs.

  Returns:
    Value of property maxFunctionDefs.

### setMaxFunctionDefs

    public void setMaxFunctionDefs(int maxFunctionDefs)

  Setter for property maxFunctionDefs.

  Parameters:
    `maxFunctionDefs` - New value of property maxFunctionDefs.

### getMaxInstructionDefs

    public int getMaxInstructionDefs()

  Getter for property maxInstructionDefs.

  Returns:
    Value of property maxInstructionDefs.

### setMaxInstructionDefs

    public void setMaxInstructionDefs(int maxInstructionDefs)

  Setter for property maxInstructionDefs.

  Parameters:
    `maxInstructionDefs` - New value of property maxInstructionDefs.

### getMaxStackElements

    public int getMaxStackElements()

  Getter for property maxStackElements.

  Returns:
    Value of property maxStackElements.

### setMaxStackElements

    public void setMaxStackElements(int maxStackElements)

  Setter for property maxStackElements.

  Parameters:
    `maxStackElements` - New value of property maxStackElements.

### getMaxSizeOfInstructions

    public int getMaxSizeOfInstructions()

  Getter for property maxSizeOfInstructions.

  Returns:
    Value of property maxSizeOfInstructions.

### setMaxSizeOfInstructions

    public void setMaxSizeOfInstructions(int maxSizeOfInstructions)

  Setter for property maxSizeOfInstructions.

  Parameters:
    `maxSizeOfInstructions` - New value of property maxSizeOfInstructions.

### getMaxComponentElements

    public int getMaxComponentElements()

  Getter for property maxComponentElements.

  Returns:
    Value of property maxComponentElements.

### setMaxComponentElements

    public void setMaxComponentElements(int maxComponentElements)

  Setter for property maxComponentElements.

  Parameters:
    `maxComponentElements` - New value of property maxComponentElements.

### getMaxComponentDepth

    public int getMaxComponentDepth()

  Getter for property maxComponentDepth.

  Returns:
    Value of property maxComponentDepth.

### setMaxComponentDepth

    public void setMaxComponentDepth(int maxComponentDepth)

  Setter for property maxComponentDepth.

  Parameters:
    `maxComponentDepth` - New value of property maxComponentDepth.

### toString

    public java.lang.String toString()

  Create a pretty String

  Overrides:
    `toString` in class `TrueTypeTable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD